Get Org By Environment
Endpoint to get the Organization that onboarded the Environment
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER
Request
URI
GET
https://{api_host}/provider/environments/{id}/organization
COPY
Path Parameters
string
id
Required
ID of the environment
Responses
200
OK
Returns
TenantDTO
of type(s)
application/vnd.vmware.dms-v1+json
{
"id": "string",
"companyName": "string",
"email": "string",
"instanceMode": "string",
"deleted": false,
"orgType": "string",
"ldapOrgDetails": {
"id": "string",
"ldapServerDetailsId": "string",
"ldapType": "string",
"ldapServerDetails": {
"id": "string",
"type": "string",
"hostAddress": "string",
"port": 0,
"firstNameAttribute": "string",
"lastNameAttribute": "string",
"domain": "string",
"baseDn": "string",
"searchFilter": "string",
"loginAttribute": "string",
"thumbprint": "string",
"deleted": false,
"userName": "string",
"password": "string",
"sslEnabled": false,
"sslCert": {
"privateKey": "string",
"certificate": "string",
"parentCert": "string"
},
"createdTimestamp": "string"
},
"adminGroups": [
"string"
],
"userGroups": [
"string"
],
"providerGroups": [
"string"
],
"deleted": false,
"createdTimestamp": "string"
},
"dbFqdnSuffix": "string",
"links": [
{
"rel": "string",
"href": "string",
"hreflang": "string",
"media": "string",
"title": "string",
"type": "string",
"deprecation": "string",
"profile": "string",
"name": "string"
}
]
}
string As uuid
As uuid
id
Optional
id
string
companyName
Optional
companyName
string
email
Optional
string
instanceMode
Optional
instanceMode
Possible values are :
FREE_MODE,
PLANS_MODE,
boolean
deleted
Optional
deleted
string
orgType
Optional
orgType
Possible values are :
PROVIDER_ORG,
TENANT_ORG,
string
dbFqdnSuffix
Optional
dbFqdnSuffix
400
Bad Request
Operation doesn't return any data structure
Environment Operations
DELETE
Delete Env
GET
Fetch Datastores
POST
Fetch Infra
GET
Fetch Networks
GET
Get Alerts
GET
Get All Environment Associated Tenants
GET
Get By Env ID
GET
Get Environments
GET
Get Org By Environment
GET
Get Tenant Env Vcenter Password
GET
Get Tenant Env Vm Password
POST
Onboard Embedded Agent
GET
Search Environment By Tenant Id
PUT
Sync S3 Config
PUT
Update 2
PUT
Update Vc Credentials
POST
Validate S3 Connectivity
GET
Verify Embedded Agent Deployment Allowed